IAUTH(8)

NAME
iauth - The Internet Relay Chat Authentication Program

SYNOPSIS

iauth
    [ -v | -c configfile ]

DESCRIPTION

iauth is a slave process used by the ircd program to perform the authentication of incoming TCP connections. The ircd program starts iauth upon startup. iauth will close and reopen the log file whenever it receives a user signal 2, SIGUSR2. This is useful to rotate the log file.

OPTIONS

-c filename
    When this flag is given, the program will read the configuration file specify and validate it. This is useful to check for errors in the setup.

-v  This option dumps information about the version.

EXAMPLE
    millennium% iauth -c iauth.conf
    iauth 2.10
    Reading "iauth.conf"
    Module(s) loaded:
            rfc931

COPYRIGHT
(c) 1998 Christophe Kalt

For full COPYRIGHT see LICENSE file with IRC package.

FILES
 "iauth.conf"

SEE ALSO
iauth.conf(5) ircd(8)

BUGS
None... ;-) if somebody finds one, please send mail to ircd-bugs@irc.org

AUTHOR
Christophe Kalt.